Name:		luabind
Version:	0.9.1
Release:	7%{?dist}
Summary:	A library that helps create bindings between C++ and Lua
Group:		System Environment/Libraries
License:	MIT
URL:		http://www.rasterbar.com/products/luabind.html
Source0:	http://download.sourceforge.net/luabind/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel, boost-build, lua-devel
# https://github.com/devurandom/luabind/commit/78509cc0242161116c989a08439ea28386deeca2
Patch0:		luabind-0.9.1-boost149fix.patch

%description
Luabind is a library that helps you create bindings between C++ and Lua. It 
has the ability to expose functions and classes, written in C++, to Lua. It 
will also supply the functionality to define classes in Lua and let them derive 
from other Lua classes or C++ classes. Lua classes can override virtual 
functions from their C++ base classes. It is written towards Lua 5.0, and does 
not work with Lua 4.

%package devel
Summary:	Development libraries and headers for luabind
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel

%description devel
This package contains the development libraries and headers for luabind.

%prep
%setup -q
%patch0 -p1 -b .boost
sed -i 's|$(prefix)/lib|$(prefix)/%{_lib}|g' Jamroot

# Perms cleanup
chmod -x doc/*.rst doc/*.png src/*.cpp luabind/*.hpp luabind/detail/*.hpp

%build
bjam %{?jobs:-j%{jobs}} -d+2 "cxxflags=%{optflags}" release

%install
bjam -d2 --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir} release install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_includedir}/luabind/
%{_libdir}/*.so

%changelog
* Thu May  9 2013 Tom Callaway <spot@fedoraproject.org> - 0.9.1-7
- add missing Requires: boost-devel on -devel subpackage

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 14 2013 Tom Callaway <spot@fedoraproject.org> - 0.9.1-5
- apply fix for FTBFS with boost 1.49.0 (bz 893887)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Tom "spot" Callaway <spot@fedoraproject.org> - 0.9.1-1
- initial build for Fedora
